- Introduction to Web API
- Authorization
- Data types
- Data import
- Working with filters
- Working with filters in reports
- Additional field attributes
- Additional attributes of data short description
- Partial and eager loading of app fields
-
Public Web API
- Managing apps
-
Managing business processes
- Bulk interruption of process instances (POST)
- Bulk update of process instances (POST)
- Change the process instance context (PUT)
- Continuation of a delegated action by ID (POST)
- Get a list of process instances (POST)
- Get a list of process instances (GET)
- Get a list of process instances (GET)
- Get a list of process instances (POST)
- Get a list of process instances by target (POST)
- Get a list of process instances by target (GET)
- Get a process instance by ID (GET)
- Get a process instance by ID (POST)
- Interrupt a process instance (POST)
- Start process by workspace and code (POST)
- Update a process instance version (POST)
-
Managing files
- Bulk file deletion (PATCH)
- Bulk file initialization (POST)
- Bulk file upload via links (POST)
- Bulk receiving of file upload links (POST)
- Bulk retrieval of file download links (POST)
- Directory is created (POST)
- File search (POST)
- Get a list of directories (POST)
- Get a list of directories (GET)
- Get file download link by file ID (GET)
- Get file download link by file ID (POST)
- Get information about a directory by ID (GET)
- Load a file to a directory (POST)
- Moving a file to a directory (POST)
- Retrieving file information by ID (GET)
- Upload a temporary file (POST)
- Managing users
-
Working with metadata
- Adding org chart items to group (POST)
- Create a group’s metadata description (POST)
- Delete a group (DELETE)
- Deleting org chart items from group (POST)
- Edit group data (PUT)
- Get a group metadata description instance by ID (GET)
- Get a list of an app’s document templates’ metadata descriptions (GET)
- Get a list of document templates’ metadata descriptions (GET)
- Get a list of groups the specified group is included in (GET)
- Get a list of metadata descriptions of filtered groups (GET)
- Get a list of metadata descriptions of filtered groups (POST)
- Get a list of metadata descriptions of groups and roles by app (GET)
- Get a list of modules’ metadata descriptions (GET)
- Get a list of pages’ metadata descriptions (GET)
- Get a list of positions included in a group (GET)
- Get a list of process templates’ metadata descriptions by app (GET)
- Get a list of solutions’ metadata descriptions (GET)
- Get a list of sub-groups of a specified group (GET)
- Get a list of users included in a group (GET)
- Get app metadata description by code (GET)
- Get list of app metadata descriptions (GET)
- Get list of process tempalte metadata descriptions (GET)
- Get list of workspace metadata descriptions (GET)
- Get metadata descriptions of a module by ID (GET)
- Get process template metadata description by code (GET)
- Get the list of metadata descriptions of groups (GET)
- Get the metadata description of a document template by ID (GET)
- Get the metadata description of a page by ID (GET)
- Get the metadata description of a solution by code (GET)
- Get workspace metadata description by code (GET)
- Getting contract metadata description by code. (GET)
- Retrieving the list of contract metadata descriptions. (GET)
- Whether the app can be exported using its code (GET)
- Whether the module can be exported using its ID (GET)
- Whether the solution can be exported using its code (GET)
- Whether the workspace can be exported using its code (GET)
- Working with modules
- Working with contracts
- Working with reports
- Working with marketing
- Working with document registration
-
Working with arbitrary string data storage
- Deleting data by key from the System object storage (DELETE)
- Deleting data by key from the app storage (DELETE)
- Deleting data by key from the workspace or module storage (DELETE)
- Retrieving data by key from the System object storage (GET)
- Retrieving data by key from the app storage (GET)
- Retrieving data by key from the workspace or module storage (GET)
- Saving data by key to the System object storage (POST)
- Saving data by key to the app storage (POST)
- Saving data by key to the workspace or module storage (POST)
- Working with approval sheets and lists of informed users
- Working with registration
-
Working with tasks
- Changing task completion percentage (POST)
- Changing task dates (POST)
- Getting a list of incoming tasks (POST)
- Getting a list of incoming tasks (GET)
- Getting a list of outgoing tasks (GET)
- Getting a list of outgoing tasks (POST)
- Getting a list of outputs for task (GET)
- Getting a list of tasks (GET)
- Getting a list of tasks (POST)
- Getting a list of tasks in "Assisting" section (POST)
- Getting a list of tasks in the "Assisting" section (GET)
- Getting a list of user tasks (POST)
- Getting a list of user tasks (GET)
- Getting task by ID (GET)
- Task execution (PUT)
- Task reassignment (POST)
-
Working with messages
- Creating a comment on a channel message (POST)
- Creating a comment on an object activity stream message (POST)
- Creating a new message in the channel (POST)
- Creating a new message in the object activity stream (POST)
- Getting a list of channels (GET)
- Getting a list of comments for a message from the channel (POST)
- Getting a list of comments for a message from the channel (GET)
- Getting a list of comments for a message from the object's activity stream (POST)
- Getting a list of comments for a message from the object's activity stream (GET)
- Getting a list of messages from the channel (POST)
- Getting a list of messages from the channel (GET)
- Getting a list of messages from the object's activity stream (GET)
- Getting a list of messages from the object's activity stream (POST)
- OpenAPI specification
Create an item of the default app of a contract
A contract can have multiple source apps. One of them can be selected as the default app. This app will be used for system operations, for example, when a contract item needs to be created. The default app can be selected in the contract’s source settings.
You can make a request to create a new item of the default app for the contract.
The request address will include the code of the workspace the contract is located in ({namespace}) and the code of the contract ({code}). In the request body, pass the data of the item that is going to be created. The new item will be added to the source app. It will also be available in the contract.
If a contract has no default source app, the item will not be created. In the error field of the response there will be a message saying that no default source is selected.
Request
POST /pub/v1/contracts/{namespace}/{code}/create
Path parameters
| Parameter name | Value | Description | Additional |
|---|---|---|---|
| namespace | string | Workspace code |
Required |
| code | string | Contract code |
Required |
Request body
The resource sent in the request body is Create an item of the default app of a contract — Request. It contains the following writable properties:
{
"context": {
"<key>": {}
}
}
Properties
| Name | Type | Description | Additional |
|---|---|---|---|
| context | object |
Fields of the new app item |
Optional |
| context.<key> | map of object | Optional |
Authorization
This request requires the use of one of following authorisation methods:
API key
Response
The following HTTP status codes may be returned:
| Status code | Description | Resource |
|---|---|---|
| 200 | OK Response model for creating an item |
Response model for creating an item (Create an item of the default app of a contract) |
| 400 | Bad Request The contract doesn't have a default source |